#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModifySidfmdHosts3 < ActiveRecord::Migration
  def change
    reversible do |dir|
      change_table :sidfmd_hosts do |t|
        dir.up {
          t.remove :refdate
          t.date :refdate
        }
        dir.down {
          t.remove :refdate
          t.datetime :refdate
        }
      end
    end
  end
end
