require_dependency 'issue'

module SidfmPatches
  module IssuePatch
    extend ActiveSupport::Concern

    included do
      unloadable
      has_one :sidfmd_issue, :dependent => :destroy
    end
    
  end
end

ActionDispatch::Reloader.to_prepare do
  unless Issue.included_modules.include?(SidfmPatches::IssuePatch)
    Issue.send(:include, SidfmPatches::IssuePatch)
  end
end
