/* coding: utf-8 */
/* Copyright (C) 2018 SofTek Systems, Inc. */

//ヘッダー

$(function() {
    const get_all_journals_path = $('#sidfm_internal_api_get_all_jounals_path').val();
    const get_new_histories_path = $('#sidfm_internal_api_get_new_histories_path').val();
   
    function append_new_histories() {
       if(!$('#notify-history-menu').hasClass('show')){
           $.get(get_new_histories_path,
           function(data){
               if(Object.keys(data).length > 0){
                   var htmlids_amount = 0;
                   var all_journals = 0;
                   var pass_flag = 0;
                   for(host_id in data){
                       if(data[host_id]['flag'] === 'true'){
                           pass_flag = 1;
                           var htmlids = data[host_id]['htmlids'];
                           var journals_amount = data[host_id]['journals'];
                           var host_name = data[host_id]['hostname'];
                           htmlids_amount += htmlids.length;
                           all_journals += parseInt(journals_amount);
                           for(var i = 0; i < htmlids.length; i++){
                               $('#no-notify-history').remove();
                               var html_id = htmlids[i][0];
                               var title = htmlids[i][1];
                               var host_path = url_host_detail(host_id);
                               var vul_path = url_vulnerabilities_detail(html_id);
                               var hostname = $('#notify-host' + host_id);
                              // var hostname = $('#notify-history-menu').find('[data-hostnameid=' + host_id + ']');
                               if(hostname.length > 0){
                                   var vul_title = $('#notify-vul' + host_id + '-' + html_id);
                                  // var vul_title = hostname.find('[data-vulid=' + html_id + ']');
                                   if(vul_title.length === 0){
                                       append_history_title(hostname, host_path, vul_path, host_id, html_id, title)
                                   }
                               }else{
                                   var item = $('<div>').attr({
                                                        'class': 'w-100 dropright notify-history-hostname',
                                                       /* 'data-hostnameid':host_id*/
                                                        'id': 'notify-host' + host_id 
                                                        });
                                   var d_btn = $('<span>').attr({
                                                          'class': 'text-left btn btn-xs text-nowrap text-truncate notify-history-hostname-btn',
                                                          'title': host_name
                                                          }).text(host_name);
                                   item.append(d_btn);
                                   var badge = $('<span>').attr('class', 'badge badge-warning notify-mark-hostname').text('1');
                                   item.append(badge);
                                   var arrow = $('<span>').attr('class', 'dropdown-toggle hostname-arrow ml-2');
                                   item.append(arrow);
                                   var d_menu = $('<div>').attr({
                                                          'class': 'dropright notify-history-hidden-menu text-nowrap'
                                                          }).css('display', 'none');
                                   item.append(d_menu);
                                   $('#notify-history-menu').append(item);
                                   append_history_title(item, host_path, vul_path, host_id, html_id, title)
                               }
                            /*   if($('#notify-history-menu').find('[data-hostnameid=' + host_id + ']')
                                                           .find('.new-history-mark')
                                                           .length === 0){*/
                               if($('#notify-host' + host_id).find('.new-history-mark').length === 0){
                                   var add_new_mark = $('<span>').attr('class', 'new-history-mark')
                                                                 .text('新着あり');
                                  // var hostname = $('#notify-history-menu').find('[data-hostnameid=' + host_id + ']');
                                   var hostname = $('#notify-host' + host_id);
                                   hostname.append(add_new_mark);
                                   hostname.css('margin-top', '10px');
                               }
                               var hostname = $('#notify-host' + host_id);
                               //var hostname = $('#notify-history-menu').find('[data-hostnameid=' + host_id + ']');
                             //  var title = hostname.find('[data-vulid=' + html_id + ']');
                               var title = $('#notify-vul' + host_id + '-' + html_id);
                               if(title.siblings('.new-history-mark-title').length === 0){
                                  var add_new_mark_title = $('<span>').attr('class', 'new-history-mark-title')
                                                                      .text('新着あり');
                                  title.after(add_new_mark_title);
                                  title.css('max-width', '79%');
                              }
                           }
                        /*   var target_hostname_num = $('#notify-history-menu')
                                                     .find('[data-hostnameid=' + host_id + ']')
                                                     .find('.notify-mark-hostname');*/
                           var host_name = $('#notify-host' + host_id);
                           var target_hostname_num = host_name.find('.notify-mark-hostname');
                           target_hostname_num.text(
                              /* $('#notify-history-menu').find('[data-hostnameid=' + host_id + ']')
                                                        .find('.notify-history-title').length*/
                               host_name.find('.notify-history-title').length    
                           );
                       }
                   }
                   $('#notify-history').find('.fa-bell')
                                       .removeClass('text-notify-none')
                                       .addClass('text-notify');
                   var mark = $('#notify-mark');
                   mark.text(all_journals);
                   mark.show();
                   if($('#notify-new-histroy').length === 0 && htmlids_amount != 0 && pass_flag != 0){
                       var notify_new_history = $('<span>').attr({'id':'notify-new-history'})
                                                           .text('新着の履歴があります');
                       mark.append(notify_new_history);
                   }
               }
           });
       }
   }

    $.get(get_all_journals_path,
        function(data){
           /* var notify_history = $('<div>').attr({
                                            'id': 'notify-history'
                                           });*/
            var notify_mark = $('<div>').attr({ 
                                         'id': 'notify-mark',
                                         'class': 'notify-mark',
                                         'style': 'display:none;'
                                         });
            var history_dropdown = $('<div>').attr({'class': 'dropdown'});
            var history_btn = $('<button>').attr({
                                            'class': 'dropdown-toggle btn btn-xs text-nowrap',
                                            'data-toggle': 'dropdown',
                                            'aria-haspopup': 'true',
                                            'aria-expanded': 'false',
                                            'tabindex': '-1',
                                            'id': 'notify-history-button',
                                           });
           var history_bell = $('<a>').attr({
                                      'data-toggle': 'tooltip',
                                      'data-placement': 'bottom',
                                      'data-original-title': '作業履歴通知',
                                      'id': 'history-bell'
                                      });
            var bell = $('<i>').attr('class','fas fa-bell mr-1 g-mt-2 text-notify-none g-font-size-1_16x');
            history_bell.append(bell);
            history_btn.append(history_bell);
            history_btn.append(notify_mark);
            history_dropdown.append(history_btn);
            var history_menu = $('<div>').attr({
                                          'class': 'dropdown-menu',
                                          'id':'notify-history-menu'
                                          });
            if(Object.keys(data).length > 0){
                var temp = [];
                for(h_id in data){
                    temp.push([h_id, data[h_id][0][2]]);
                }
                temp = temp.sort(function(a,b){
                    if(a[1][0].toLowerCase() > b[1][0].toLowerCase()){
                        return 1;
                    }else{
                        return -1;
                    }
                });
                for(var item of temp){  
                    var host_id = item[0];
                    var host_path = url_host_detail(host_id);
                    var vuls = data[host_id];
                    var item = $('<div>').attr({ //'data-hostnameid' : host_id
                                         'class': 'w-100 dropright notify-history-hostname', 
                                         'id': 'notify-host' + host_id
                                          });
                    var d_btn = $('<span>').attr({
                                           'class': 'text-left btn btn-xs text-nowrap text-truncate notify-history-hostname-btn'
                                           });
                    item.append(d_btn);
                    var badge = $('<span>').attr('class', 'badge badge-warning notify-mark-hostname').text('0');
                    item.append(badge);
                    var arrow = $('<span>').attr('class', 'dropdown-toggle hostname-arrow ml-2');
                    item.append(arrow);
                    var d_menu = $('<div>').attr({
                                           'class': 'dropright notify-history-hidden-menu text-nowrap'
                                           }).css('display', 'none');
                    for(var i = 0; i < vuls.length; i++){
                        var vul_id = vuls[i][0];
                        var title = vuls[i][1];
                        var host_name = vuls[i][2];
                        var vul_path = url_vulnerabilities_detail(vul_id);
                        d_btn.text(host_name);
                        d_btn.attr('title', host_name);
                        var d_item = $('<div>').attr({
                                               'class': 'notify-history-title'
                                               });
                        var d_item_btn = $('<a>').attr({
                                              //   'data-vulid': vul_id,
                                                 'id': 'notify-vul' + host_id + '-' + vul_id,
                                                 'class': 'btn btn-xs notify-history-title-btn text-truncate g-radius-0 g-font-size-0_89x', 
                                                 'title': title
                                                 }).text(title);
                        d_item.append(d_item_btn); 
                        var d_arrow = $('<span>').attr('class', 'dropdown-toggle only-arrow mr-2');
                        d_item.append(d_arrow);
                        var d_item_menu = $('<div>').attr({
                                                    'class': 'notify-history-link-menu text-nowrap'
                                                    }).css('display', 'none');
                        var d_item_vul= $('<div>').attr('class', 'wrap-notify-history-link');
                        var link_to_vul = $('<a>').attr({
                                                  'data-action': vul_path,
                                                  'class': 'notify-history-link p-1',
                                                  'href': 'javascript:void(0)',
                                                  'data-hostid': host_id
                                                  }).text('脆弱性詳細ページへ');
                        d_item_vul.append(link_to_vul);
                        var d_item_host = $('<div>').attr('class', 'wrap-notify-history-link');
                        var link_to_host = $('<a>').attr({
                                                   'data-action': host_path, 
                                                   'class': 'notify-history-link p-1',
                                                   'href':'javascript:void(0)',
                                                   'data-htmlid': vul_id
                                                   }).text('ホスト詳細ページへ');
                        d_item_host.append(link_to_host);
                        d_item_menu.append(d_item_vul);
                        d_item_menu.append(d_item_host);
                        d_item.append(d_item_menu);
                        d_menu.append(d_item);
                    }
                    badge.text(vuls.length);
                    item.append(d_menu);
                    history_menu.append(item);
                }
            }else{
                var no_history = $('<div>').attr('id', 'no-notify-history').text('履歴はありません');
                history_menu.append(no_history);
            }
            history_dropdown.append(history_menu);
            $('#notify-history').append(history_dropdown);
       //     notify_history.append(history_dropdown);
       //     $('body').append(notify_history);
            $('#history-bell').tooltip();           
 
            append_new_histories();
                                                    
            $('#notify-history-menu').on('click', function(e){
                e.stopPropagation();
            });
            $('#notify-history-button').on('click', function(){
                $('#notify-history-links').remove();
                $('#notify-history-titles').remove();
                $('#notify-history').find('.displayed').removeClass('displayed');
                $('#notify-history').find('.link-displayed').removeClass('link-displayed');
                $('.notify-history-hostname, .notify-history-hostname-btn').removeClass('bg-b');
            });
            $('#notify-history-menu').on('click', '.notify-history-hostname', function(){
                var button = $(this);
                $('#notify-history-titles').remove();
                $('#notify-history-links').remove();
                $('.notify-history-title').removeClass('bg-b');
                var target = button.find('.notify-history-hidden-menu');
                var d_menu = button.closest('.dropdown-menu');
                d_menu.find('.link-displayed').removeClass('link-displayed');
                $('.notify-history-hostname').find('.notify-history-hostname-btn').removeClass('bg-b');
                $('.notify-history-hostname').removeClass('bg-b');
                if(!target.hasClass('displayed')){
                    button.closest('.dropdown-menu').find('.displayed').removeClass('displayed');
                    target.addClass('displayed');
                    var clone_target = target.clone(true).attr('id', 'notify-history-titles');
                    $('body').append(clone_target);
                    clone_target.show();
                    var offset = button.offset();
                    clone_target.offset({'top': offset.top, 'left': offset.left + button.outerWidth(true)});
                    button.find('.notify-history-hostname-btn').addClass('bg-b');
                    button.addClass('bg-b');
                }else{
                    target.removeClass('displayed');
                    button.addClass('bg-b');
                    button.find('.notify-history-hostname-btn').addClass('bg-b');
                }
            });
            $(document).on('click','.notify-history-title', function(e){
                $('#notify-history-links').remove();
                var button = $(this);
                var target = $(this).find('.notify-history-link-menu');
                $('.notify-history-title').removeClass('bg-b');
                if(!target.hasClass('link-displayed')){
                    button.closest('.notify-history-hidden-menu').find('.link-displayed').removeClass('link-displayed');
                    target.addClass('link-displayed');
                    var clone_target_links = target.clone(true).attr('id', 'notify-history-links');
                    $('body').append(clone_target_links);
                    clone_target_links.show();
                    var button_offset = button.offset();
                    clone_target_links.offset({'top': button_offset.top, 'left': button_offset.left + button.outerWidth()});
                    button.addClass('bg-b');//css('background', 'black');
                }else{
                    target.removeClass('link-displayed');
                    button.removeClass('bg-b');
                }
                e.stopPropagation();
            });
            $(document).on('click', '.notify-history-link', function(){
                var link_menu = $(this).closest('.notify-history-link-menu');
                var htmlid;
                var hostid;
                link_menu.find('.notify-history-link')
                         .each(function(){
                             var elm = $(this);
                             if(elm.data('htmlid')){
                                 htmlid = elm.data('htmlid');
                             }else if(elm.data('hostid')){
                                 hostid = elm.data('hostid');
                             }
                         });       
                var link = $(this);
                var input = $('#param_notify_history');
                var form = $('#form_notify_history');
                form.attr('action', link.data('action'));
                if(link.data('htmlid')){
                    input.val(JSON.stringify([link.data('htmlid'), hostid]));
                }else{
                    input.val(JSON.stringify([link.data('hostid'), htmlid]));
                }
                form.submit(); 
            });
            $('#notify-history-menu').parent().on('hide.bs.dropdown',function(){
                if($('#notify-history-titles').length > 0){
                    $('#notify-history-links').hide();
                    $('#notify-history-titles').hide();
                }
            });
            $('#notify-history-menu').parent().on('show.bs.dropdown',function(){
                $('#notify-history-links').show();
                $('#notify-history-titles').show();
            });
            
    });
   
 
    $(window).on('load',function(){
      /*  setTimeout(function(){
            $('#notify-history').css('top', ($('#HEADnavi').height() - $('#notify-history').height()));
       },300);*/
       $('#notify-history').css('top', ($('#HEADnavi').height() - 28));
       setInterval(function(){
           append_new_histories(); 
       },900000); 
           
   });
      
     
       $(window).on('resize', function(){
           $('#notify-history').css('top', ($('#HEADnavi').height() - $('#notify-history').height()));
           var history_menu = $('#notify-history-menu');
           var history_titles = $('#notify-history-titles');
           if(history_menu.length === 1){
               $('#notify-history-titles').offset({'left':history_menu.offset().left + history_menu.outerWidth(true)});
           }
           if(history_titles.length === 1){
               $('#notify-history-links').offset({'left': history_titles.offset().left + history_titles.outerWidth()});
           }
       });

       function append_history_title(hostname, host_path, vul_path, host_id, html_id, title){
           var d_item = $('<div>').attr({
                        'class': 'notify-history-title'
                        });
           var d_item_btn = $('<a>').attr({
                          //  'data-vulid': html_id,
                            'id': 'notify-vul' + host_id + '-' + html_id,
                            'class': 'btn btn-xs notify-history-title-btn text-truncate',
                            'title': title
                            }).text(title);
           d_item.append(d_item_btn);
           var d_arrow = $('<span>').attr('class', 'dropdown-toggle only-arrow mr-2');
           d_item.append(d_arrow);
           var d_item_menu = $('<div>').attr({
                              'class': 'notify-history-link-menu text-nowrap'
                              }).css('display', 'none');
           var d_item_vul= $('<div>').attr('class', 'wrap-notify-history-link');
           var link_to_vul = $('<a>').attr({
                             'data-action': vul_path,
                             'class': 'notify-history-link p-1',
                             'href': 'javascript:void(0)',
                             'data-hostid': host_id
                             }).text('脆弱性詳細ページへ');
            d_item_vul.append(link_to_vul);
            var d_item_host = $('<div>').attr('class', 'wrap-notify-history-link');
            var link_to_host = $('<a>').attr({
                               'data-action': host_path,
                               'class': 'notify-history-link p-1',
                               'href':'javascript:void(0)',
                               'data-htmlid': html_id
                               }).text('ホスト詳細ページへ');
            d_item_host.append(link_to_host);
            d_item_menu.append(d_item_vul);
            d_item_menu.append(d_item_host);
            d_item.append(d_item_menu);
            hostname.find('.notify-history-hidden-menu').append(d_item);
       }      
});

